> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Deposit Target Currency

> Update deposit target



## OpenAPI

````yaml /copper-open-api-public.json patch /deposit-targets/{depositTargetId}
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /deposit-targets/{depositTargetId}:
    patch:
      tags:
        - deposit-targets
      summary: Activate Deposit Target Currency
      description: Update deposit target
      parameters:
        - description: application/vnd.activate-deposit-target-currency+json
          in: header
          name: Content-Type
          required: false
          schema:
            type: string
        - in: path
          name: depositTargetId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.activate-deposit-target-currency+json:
            schema:
              $ref: '#/components/schemas/ActivateCurrency'
      responses:
        '200':
          content:
            application/vnd.activate-deposit-target-currency+json:
              schema:
                $ref: '#/components/schemas/DepositTarget'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    ActivateCurrency:
      properties:
        currency:
          type: string
        mainCurrency:
          type: string
      required:
        - currency
      type: object
    DepositTarget:
      properties:
        acceptAllTokens:
          description: This parameter defines if this target is able to accept all tokens
          type: boolean
        activatedTokens:
          description: >-
            If tokens of a blockchain should be activated prior to any
            operation, this parameter includes a list of currencies to be
            activated with corresponding status - otherwise, the field is set as
            null
          items:
            $ref: '#/components/schemas/ActivatedToken'
          type: array
        address:
          type: string
        createdAt:
          type: string
        createdBy:
          type: string
        currency:
          type: string
        depositTargetId:
          type: string
        externalId:
          type: string
        mainCurrency:
          type: string
        memo:
          type: string
        metadata:
          description: 'Additional metadata you want to store with a new Deposit Target '
          type: object
        name:
          type: string
        organizationId:
          type: string
        portfolioId:
          type: string
        portfolioType:
          $ref: '#/components/schemas/PortfolioType'
          description: '[See details](/enums/PortfolioType)'
        requireTokensActivation:
          description: This parameter defines if this target is able to accept all tokens
          type: boolean
        status:
          $ref: '#/components/schemas/DepositTargetStatus'
          description: '[See details](/enums/DepositTargetStatus)'
        targetType:
          $ref: '#/components/schemas/DepositTargetType'
          description: '[See details](/enums/DepositTargetType)'
        updatedAt:
          type: string
        updatedBy:
          type: string
      required:
        - depositTargetId
        - externalId
        - portfolioType
        - targetType
        - status
        - mainCurrency
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - acceptAllTokens
        - requireTokensActivation
      type: object
    ActivatedToken:
      properties: {}
      type: object
    PortfolioType:
      enum:
        - custody
        - trading-vault
        - trading
        - external
        - clearloop
      type: string
    DepositTargetStatus:
      enum:
        - new
        - pending
        - approval-pending
        - enabled
        - disabled
        - error
        - portfolio-archived
      type: string
    DepositTargetType:
      enum:
        - proxy
        - direct
        - external-wallet
      type: string

````